%define libxscrnsaver %mklibname xscrnsaver 1 
Name: libxscrnsaver
Summary:  The XScrnSaver Library
Version: 1.2.1
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXScrnSaver-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0

%description
The XScrnSaver Library

#-----------------------------------------------------------

%package -n %{libxscrnsaver}
Summary:  The XScrnSaver Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxscrnsaver}
 The XScrnSaver Library

#-----------------------------------------------------------

%package -n %{libxscrnsaver}-devel
Summary: Development files for %{name}
Group: Development/X11


Requires: %{libxscrnsaver} = %{version}
Requires: x11-proto-devel >= 7.4-25mdv
Provides: libxscrnsaver-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxscrnsaver}-devel
Development files for %{name}

%files -n %{libxscrnsaver}-devel
%defattr(-,root,root)
%{_libdir}/libXss.so
%{_libdir}/libXss.la
%{_libdir}/pkgconfig/xscrnsaver.pc
%{_mandir}/man3/XScreenSaver*
%{_mandir}/man3/Xss*
%{_includedir}/X11/extensions/scrnsaver.h

#-----------------------------------------------------------

%package -n %{libxscrnsaver}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxscrnsaver}-devel = %{version}
Provides: libxscrnsaver-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxscrnsaver}-static-devel
Static development files for %{name}

%files -n %{libxscrnsaver}-static-devel
%defattr(-,root,root)
%{_libdir}/libXss.a

#-----------------------------------------------------------

%prep
%setup -q -n libXScrnSaver-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n %{libxscrnsaver}
%defattr(-,root,root)
%{_libdir}/libXss.so.1
%{_libdir}/libXss.so.1.0.0




%changelog
* Sat Jan 08 2011 blino <blino> 1.2.1-2.mga1
+ Revision: 994
- remove old buildrequires and ldconfig scriptlets
- imported package libxscrnsaver


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.2.1-1mdv2011.0
+ Revision: 590418
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-3mdv2010.1
+ Revision: 520972
- rebuilt for 2010.1

* Thu Sep 17 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.2.0-2mdv2010.0
+ Revision: 444039
- Require x11-proto-devel >= 7.4-25mdv because /usr/include/X11/xscrnsaver.h moved
  from x11-proto-devel to libxscrnsaver-devel (to avoid 2 packages owning the same
  file)

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 1.2.0-1mdv2010.0
+ Revision: 424584
- adjust file list
- new release

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.1.3-2mdv2009.0
+ Revision: 265005
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.1.3-1mdv2009.0
+ Revision: 192990
- new release

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.2-2mdv2008.1
+ Revision: 154202
- Updated BuildRequires and resubmit package.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Feb 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1.2-1mdv2007.0
+ Revision: 121725
- fix file lsit
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

